Subject: Re: bug#69306: 30.0.50; defining menu-items with :enable enables them unconditionally

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Feb 2024 08:41:15 +0200

> From: StrawberryTea <[email-masked]>
> Date: Wed, 21 Feb 2024 17:26:02 -0600
> 
> Hi. I am not sure if I open a vanilla Emacs session and evaluate:
> (defvar hello nil)
> (setq hello nil)
> (define-key global-map (kbd "C-M-S-f") '(menu-item "" delete-backward-char :enable hello))
> 
> and then press C-M-S-f, the delete-backward-char menu item will be
> enabled, even though hello is nil.

Enabled where?  After evaluating the above, I don't see your menu item
anywhere (since it is not added to any existing menu, I guess?), so
I'm not sure what you are describing here.  Is some step missing from
the recipe?  Can you show a full recipe starting from "emacs -Q"?